# Class HTMLParseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.jmeter.protocol.http.parser.HTMLParseException

All Implemented Interfaces:
  `Serializable`

public class HTMLParseException extends Exception
Exception class for use with HTMLParser classes. The main rationale for the class was to support chained Exceptions in JDK 1.3, however it is now used in its own right.

Version:
  $Revision: 905028 $
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`HTMLParseException()`
`HTMLParseException(String message)`
`HTMLParseException(String message, Throwable cause)`
`HTMLParseException(Throwable cause)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HTMLParseException

public HTMLParseException()

### HTMLParseException

public HTMLParseException(String message)

### HTMLParseException

public HTMLParseException(Throwable cause)

### HTMLParseException

public HTMLParseException(String message, Throwable cause)